> For the complete documentation index, see [llms.txt](https://docs.enzoic.com/enzoic-api-developer-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enzoic.com/enzoic-api-developer-documentation/password-strength-meter/quick-start.md).

# Quick Start

Adding the Enzoic Password Strength Meter to your existing signup or password change form is simple.

## **1.  Include the Enzoic JS Library**

Add the following script include before your closing body tag:

```html
<script async type="text/javascript" 
            src="https://cdn.enzoic.com/js/enzoic.min.js" />
```

## **2.  Enable Enzoic on Your Password Input Control**

Add the “enz-enable” attribute to your signup form’s password input element:

```html
<input type="password" enz-enable />
```

Alternatively, you can call the applyToInputElement function:

```html
<script type="text/javascript">
    var passwordEl = document.getElementById('id_of_your_password_input');
    Enzoic.applyToInputElement(passwordEl);
</script>
```

Delete any existing password strength meter from the page, as you will no longer need it.

## **3.  Modify Your Form Validation Logic**

Add in code to prevent the user from submitting the form if the password strength is insufficient. The mechanism for alerting the user will be specific to your page, but a basic code snippet in JavaScript for this is below:

```javascript
  // typically this is the onsubmit event handler for your signup form
 function formSubmit() {
 
      // check if the current password meets your desired
      // strength score (strong in this case)
      if (Enzoic.currentPasswordScore <
          Enzoic.PASSWORD_STRENGTH.Strong) {
 
          // password is not strong enough, do something
          // here to indicate to the user that they must
          // improve their password's strength before they
          // can move on
 
      }
}
```

## **That’s it!**

You’re done! When you reload the page, your password input will now have the Enzoic frame around it when it is focused.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enzoic.com/enzoic-api-developer-documentation/password-strength-meter/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
